package com.ruoyi.powerdistribution.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 配网字典对象 pdm_dic
 * 
 * @author ruoyi
 * @date 2024-12-03
 */
@Data
public class PdmDic extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
    
    private String dicId;

    /** 排序号 */
    @Excel(name = "排序号")
    private Long sortNo;

    /** 分类码的值 */
    @Excel(name = "分类码的值")
    private String code;

    /** 分类码名称 */
    @Excel(name = "分类码名称")
    private String name;

    /** 键值 */
    @Excel(name = "键值")
    private String keyValue;

    /** 1:启用0:停用 */
    @Excel(name = "1:启用0:停用")
    private String status;

    /** 模块标识 */
    @Excel(name = "模块标识")
    private String parentId;


    private  List<PdmDic> children;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDicId(String dicId) 
    {
        this.dicId = dicId;
    }

    public String getDicId() 
    {
        return dicId;
    }
    public void setSortNo(Long sortNo) 
    {
        this.sortNo = sortNo;
    }

    public Long getSortNo() 
    {
        return sortNo;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setKeyValue(String keyValue) 
    {
        this.keyValue = keyValue;
    }

    public String getKeyValue() 
    {
        return keyValue;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setParentId(String parentId) 
    {
        this.parentId = parentId;
    }

    public String getParentId() 
    {
        return parentId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dicId", getDicId())
            .append("sortNo", getSortNo())
            .append("code", getCode())
            .append("name", getName())
            .append("keyValue", getKeyValue())
            .append("status", getStatus())
            .append("parentId", getParentId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
